Update an OAuth2 connection Run in API Explorer
Ask AI
PUT
/api/v1/oauth/connections/{oauthConnection_uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/oauth/connections/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"label": "My Fundment Account 1"
}'
Request examples
{
"label": "My Fundment Account 1"
}
Response examples (200)
[
{
"uuid": "bc1f5125-1301-4d3d-8dc4-c97fdc6c6c0e",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"provider": {
"name": "fundment",
"label": "Fundment",
"logo_url": "https://api.plannrcrm.com/imgs/fundment-banner.png",
"authorization_url": "https://api.plannrcrm.com/oauth/fundment/authorize"
},
"access_token_expires_at": "2026-10-28T14:39:29.292822Z",
"refresh_token_expires_at": "2027-10-28T09:39:29.292861Z",
"refresh_authorization_url": "https://api.plannrcrm.com/oauth/fundment/authorize/fbf0506b-a529-4907-900e-3bc71324d189",
"label": "My Fundment Account 1"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}